Subject: Re: KASAN: slab-out-of-bounds Read in hci_le_meta_evt

From: Russell King - ARM Linux admin <[email-masked]>
Date: Mon, 3 Aug 2020 18:32:24 +0100

On Mon, Aug 03, 2020 at 10:21:04AM -0700, Eric Biggers wrote:
> On Mon, Aug 03, 2020 at 06:12:33PM +0100, Russell King - ARM Linux admin wrote:
> > Dear syzbot,
> > 
> > Please explain why you are spamming me with all these reports - four so
> > far.  I don't understand why you think I should be doing anything with
> > these.
> > 
> > Thanks.
> 
> syzbot just uses get_maintainer.pl.
> 
> $ ./scripts/get_maintainer.pl net/bluetooth/hci_event.c
> Marcel Holtmann <[email-masked]> (maintainer:BLUETOOTH SUBSYSTEM)
> Johan Hedberg <[email-masked]> (maintainer:BLUETOOTH SUBSYSTEM)
> "David S. Miller" <[email-masked]> (maintainer:NETWORKING [GENERAL])
> Jakub Kicinski <[email-masked]> (maintainer:NETWORKING [GENERAL])
> Russell King <[email-masked]> (maintainer:SFF/SFP/SFP+ MODULE SUPPORT)
> [email-masked] (open list:BLUETOOTH SUBSYSTEM)
> [email-masked] (open list:NETWORKING [GENERAL])
> [email-masked] (open list)

Ah, and, because the file mentions "phylink" (although it makes no use
of the phylink code), get_maintainer spits out my address. Great.

So how do I get get_maintainer to identify patches that are making use
of phylink, but avoid this bluetooth code... (that's not a question.)

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!